Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml
Class XmlPeer

    java.lang.Object
      com.lowagie.text.xml.XmlPeer

Direct Known Subclasses:
  HtmlPeer

    public class XmlPeer

extends Object

This interface is implemented by the peer of all the iText objects.

Field Summary
`protected Properties` | `attributeAliases` This is the Map that contains the aliases of the attributes.
`protected Properties` | `attributeValues` This is the Map that contains the default values of the attributes.
`protected String` | `customTagname` This is the name of the alias.
`protected String` | `defaultContent` This is String that contains the default content of the attributes.
`protected String` | `tagname` This is the name of the alias.

Constructor Summary
`XmlPeer(String name, String alias)` Creates a XmlPeer.

Method Summary
`void` | `addAlias(String name, String alias)` Sets an alias for an attribute.
`void` | `addValue(String name, String value)` Sets a value for an attribute.
`String` | `getAlias()` Gets the tagname of the peer.
`Properties` | `getAttributes(org.xml.sax.Attributes attrs)` Gets the list of attributes of the peer.
`Properties` | `getDefaultValues()` Returns the default values.
`String` | `getName(String name)` Returns the iText attribute name.
`String` | `getTag()` Gets the tagname of the peer.
`void` | `setContent(String content)` Sets the default content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tagname

    protected String tagname

  This is the name of the alias.

### customTagname

    protected String customTagname

  This is the name of the alias.

### attributeAliases

    protected Properties attributeAliases

  This is the Map that contains the aliases of the attributes.

### attributeValues

    protected Properties attributeValues

  This is the Map that contains the default values of the attributes.

### defaultContent

    protected String defaultContent

  This is String that contains the default content of the attributes.

Constructor Detail

### XmlPeer

    public XmlPeer(String name,
                   String alias)

  Creates a XmlPeer.

  Parameters:
    `name` - the iText name of a tag
    `alias` - the userdefined name of a tag

Method Detail

### getTag

    public String getTag()

  Gets the tagname of the peer.

  Returns:
    the iText name of a tag

### getAlias

    public String getAlias()

  Gets the tagname of the peer.

  Returns:
    the userdefined tagname

### getAttributes

    public Properties getAttributes(org.xml.sax.Attributes attrs)

  Gets the list of attributes of the peer.

  Parameters:
    `attrs` - the userdefined set of attributes
  Returns:
    the set of attributes translated to iText attributes

### addAlias

    public void addAlias(String name,
                         String alias)

  Sets an alias for an attribute.

  Parameters:
    `name` - the iText tagname
    `alias` - the custom tagname

### addValue

    public void addValue(String name,
                         String value)

  Sets a value for an attribute.

  Parameters:
    `name` - the iText tagname
    `value` - the default value for this tag

### setContent

    public void setContent(String content)

  Sets the default content.

  Parameters:
    `content` - the default content

### getName

    public String getName(String name)

  Returns the iText attribute name.

  Parameters:
    `name` - the custom attribute name
  Returns:
    iText translated attribute name

### getDefaultValues

    public Properties getDefaultValues()

  Returns the default values.

  Returns:
    A set of default (userdefined) values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD